> For the complete documentation index, see [llms.txt](https://docs.pt.posit.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pt.posit.us/api-studio.md).

# API - Studio

{% hint style="info" %}
Autenticação Bearer Token necessária em todas as chamadas \
Veja como gerar o seu token [**clique aqui**](https://docs.pt.posit.us/studio-positus#como-gerar-um-token-para-utilizar-na-api)
{% endhint %}

## Workspaces

Consulta de workspaces vinculados ao seu token

<https://api.positus.global/v2/workspaces>

```
GET/ {
	"data": [{
		"id": "564564-5555-33333-bbb3-3423r2cc",
		"namespace": "dc3242af3_8a341_4343a_3435e_743434343a86",
		"name": "Positus",
		"webhook": null,
		"last_plan_name": null,
		"messenger_licenses": 0,
		"currency": {
			"id": 1,
			"code": "BRL"
		},
		"created_at": "2021-05-11T18:53:07.000000Z",
		"updated_at": "2021-05-11T19:03:36.000000Z"
	}]
}
```

## Message-templates

Consulta de templates vinculados ao workspace

<https://api.positus.global/v2/workspaces/{id}/message-templates>

```
GET/ {
	"data": [{
		"id": "234242-234242-23422-234242-2343242",
		"wa_id": "2342424242",
		"status": {
			"id": 2,
			"code": "APPROVED",
			"description": "Aprovado"
		},
		"category": {
			"id": 6,
			"code": "ISSUE_RESOLUTION",
			"description": "Resolução de problemas"
		},
		"language": {
			"id": 46,
			"code": "pt_BR",
			"name": "Portuguese (BR)"
		},
		"name": "resposta_chamado",
		"components": [{
			"type": "BODY",
			"text": "Olá {{1}}, tudo bem? O seu chamado foi respondido na nossa plataforma, caso você queira você também pode tratar o problema por aqui."
		}],
		"created_at": "2021-03-12T19:19:52.000000Z",
		"updated_at": "2021-03-13T16:00:05.000000Z"
	}]
}
```

## Number

Consulta de templates vinculados ao workspace

<https://api.positus.global/v2/workspaces/{id}/numbers>

```
GET/ {
	"data": [{
		"id": "12313-1231231-123131-12313-123132132131",
		"status": {
			"id": 7,
			"description": "Número ativo"
		},
		"quality_rating": {
			"id": 0,
			"code": "UNKNOWN"
		},
		"name": "Positus Atendimento",
		"tag": null,
		"country_code": "55",
		"number": "1176862233",
		"full_number": "551176862233",
		"created_at": "2021-05-19T20:05:53.000000Z",
		"updated_at": "2021-05-19T20:11:10.000000Z"
	}]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pt.posit.us/api-studio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
